Bug 23055 - Update candidate: 0ad and 0ad-data 0.0.23 (0 A.D. Alpha 23 "Ken Wood") + libsodium 1.0.14
Summary: Update candidate: 0ad and 0ad-data 0.0.23 (0 A.D. Alpha 23 "Ken Wood") + libs...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal enhancement
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-05-19 00:00 CEST by Rémi Verschelde
Modified: 2018-05-22 01:54 CEST (History)
3 users (show)

See Also:
Source RPM: 0ad-0.0.22-1.1.mga6, 0ad-data-0.0.22-1.mga6, sodium-1.0.12-1.mga6
CVE:
Status comment:


Attachments

Description Rémi Verschelde 2018-05-19 00:00:45 CEST
0 A.D. alpha 23 "Venustas" was released recently, and as it's still considered "alpha" software and is multiplayer-oriented, I propose to push it as an update to Mageia 6 as we use to for each new version (so that Mageia 6 users can play cross-platform with users using the latest version too).

This new version requires libsodium 1.0.14 or later, while we had only version 1.0.12 in Mageia 6, so libsodium is also getting updated to 1.0.14 (same library major, should be compatible).

Advisory:
=========

Updated 0ad packages provide new upstream alpha release

  The 0 A.D. packages have been updated to provide the latest upstream
  alpha release, adding many bug fixes as well as new features and
  enhancements.

  This version should make it easier for Mageia 6 users to play
  cross-platform with users of other distros and OSs.

  The libsodium dependency was also updated to the backward-compatible
  version 1.0.14 to allow building this 0 A.D. release.


References:
 - https://play0ad.com/new-release-0-a-d-alpha-23-ken-wood/
 - https://github.com/jedisct1/libsodium/releases/tag/1.0.13
 - https://github.com/jedisct1/libsodium/releases/tag/1.0.14


RPMs in core/updates_testing:
=============================
0ad-0.0.23-1.mga6
0ad-data-0.0.23-1.mga6.noarch
lib(64)sodium18-1.0.14-1.mga6
lib(64)sodium-devel-1.0.14-1.mga6


SRPMs in core/updates_testing:
==============================
 - 0ad-0.0.23-1.mga6
 - 0ad-data-0.0.23-1.mga6
 - sodium-1.0.14-1.mga6
Comment 1 Rémi Verschelde 2018-05-19 00:04:31 CEST
For testing 0ad, install both the "0ad" and "0ad-data" packages (the former should pull the latter automatically if not selected manually). Run the game via the "0ad" binary in PATH or the desktop launcher entry, and see if it seems functional. No need to spend too much time playing, unless you would enjoy a gaming break ;)


For libsodium, here's a list of reverse dependencies:

$ urpmf --synthesis /tmp/synthesis.hdlist.cz --requires :.*sodium | sort
0ad:pkgconfig(libsodium)
keepassxc:pkgconfig(libsodium)
pdns:pkgconfig(libsodium)
pdns-recursor:pkgconfig(libsodium)
shadowsocks-libev:pkgconfig(libsodium)
toxcore:pkgconfig(libsodium)
zeromq:pkgconfig(libsodium)

Not sure how to test it specifically, but I guess it's related to the salting/encryption of data, so if you're a keepassxc user, you could check that your encrypted passwords are still recognized.

CC'ing eatdirt who is libsodium maintainer.

CC: (none) => eatdirt

Rémi Verschelde 2018-05-19 00:04:43 CEST

Summary: Update candidate: 0ad and 0ad-data 0.0.23 (0 A.D. Alpha 23 "Ken Wood") => Update candidate: 0ad and 0ad-data 0.0.23 (0 A.D. Alpha 23 "Ken Wood") + libsodium 1.0.14

Rémi Verschelde 2018-05-19 00:05:04 CEST

Source RPM: 0ad-0.0.22-1.1.mga6, 0ad-data-0.0.22-1.mga6 => 0ad-0.0.22-1.1.mga6, 0ad-data-0.0.22-1.mga6, sodium-1.0.12-1.mga6

Comment 2 José Jorge 2018-05-21 11:26:07 CEST
Tested on x86_64. The first screen was very long - more than 60 seconds - to appear on my old hardware, so I thought it was crashed. But in fact it works nicely, like previous version. I played a part of the tutorial, all seems working.

CC: (none) => lists.jjorge
Whiteboard: (none) => MGA6-64-OK

Comment 3 Lewis Smith 2018-05-21 21:18:52 CEST
Thanks for the test, José.

Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 4 Mageia Robot 2018-05-22 01:54:34 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0094.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.